Subject: Re: broken link-local multicast?

From: [email-masked] (Marco d'Itri)
Date: Mon, 18 Feb 2008 02:21:24 +0100

On Feb 15, Pekka Savola <[email-masked]> wrote:

>> root@frwl-5a:~# ping6 -c 1 -I eth1 ff02::1
>> connect: Network is unreachable
>
> Maybe 'netstat -gn' could give clues, because you should be receiving a 
> response at least from the loopback address.  Maybe your loopback  
> interface has went down, or ospf6d took it down and back up (at least  
> some time ago, kernel's v6 got very confused after that).
The loopback is up. ospf6d /may/ have done something to it, but I do not
know how to check this (and I cannot reboot these servers right now).

1: lo: <LOOPBACK,UP,10000> mtu 16436 qdisc noqueue 
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
    inet6 ::1/128 scope host 
       valid_lft forever preferred_lft forever

> You may also want to check out that your link-local address on the  
> interface you're pinging is still OK.
Apparently it is:

root@frwl-5a:~#  netstat -gn | grep eth1
eth1            1      224.0.0.5
eth1            1      224.0.0.1
eth1            1      ff02::6
eth1            1      ff02::5
eth1            2      ff02::1:ff00:0
eth1            1      ff02::2
eth1            1      ff02::1:ff00:89
eth1            1      ff02::1:ffd8:7dd
eth1            1      ff02::1

These (except ff02::1:ffd8:7dd, which is different) are the same
addresses of eth0, which works.

On Feb 15, David Stevens <[email-masked]> wrote:

> Marco,
>         You called this a "firewall" -- do you get the same thing
> when you have no iptables rules?
Yes, I double checked again and reproduced these results with totally
empty v6 chains.

-- 
ciao,
Marco